> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a link

> API that creates a link from url. Creating a link through this endpoint costs 1 credit.



## OpenAPI

````yaml post /api/links/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/links/:
    post:
      tags:
        - links
      description: >-
        Mixin to provide a reusable `list` method for filtering and paginating
        queryset results.
      operationId: links_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Link'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/Link'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Link'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Link'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    Link:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        url:
          type: string
          format: uri
          maxLength: 1000
        link:
          allOf:
            - $ref: '#/components/schemas/InnerLink'
          readOnly: true
        credits_used:
          type: number
          readOnly: true
          description: Credits used in this api call
      required:
        - credits_used
        - id
        - link
        - url
    InnerLink:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        url:
          type: string
          nullable: true
          maxLength: 3000
        title:
          type: string
          nullable: true
          maxLength: 1000
        description:
          type: string
          nullable: true
        image_urls:
          type: array
          items:
            type: string
            format: uri
        video_urls:
          type: array
          items:
            type: string
            format: uri
        reviews:
          nullable: true
        logo_url:
          type: string
          format: uri
          nullable: true
          maxLength: 1000
        ai_summary:
          type: string
          nullable: true
          maxLength: 2000
        ai_industry:
          type: string
          readOnly: true
        ai_target_audiences:
          readOnly: true
          nullable: true
      required:
        - ai_industry
        - ai_target_audiences
        - id
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````